[Forgot Password]
Login  Register Subscribe

23631

 
 

115084

 
 

97147

 
 

909

 
 

78730

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2011-1522

Date: (C)2011-05-03   (M)2017-11-18 


Multiple SQL injection vulnerabilities in the Doctrine\DBAL\Platforms\AbstractPlatform::modifyLimitQuery function in Doctrine 1.x before 1.2.4 and 2.x before 2.0.3 allow remote attackers to execute arbitrary SQL commands via the (1) limit or (2) offset field.

CVSS Score: 7.5Access Vector: NETWORK
Exploit Score: 10.0Access Complexity: LOW
Impact Score: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL





Reference:
BID-47034
DSA-2223
http://openwall.com/lists/oss-security/2011/03/25/2
http://openwall.com/lists/oss-security/2011/03/28/3
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=622674
http://www.doctrine-project.org/blog/doctrine-security-fix
https://bugzilla.redhat.com/show_bug.cgi?id=689396

CWE    1
CWE-89
OVAL    1
oval:org.secpod.oval:def:600236

© 2013 SecPod Technologies